Subject: bug#59598: "Unsupported manifest format" error

From: Tyler Wolf <[email-masked]>
Date: Fri, 25 Nov 2022 22:06:12 +0000

Hello,
Yesterday my PC lost power and when I turned it back on I started getting the error "guix package: unsupported manifest format".

I have tried using "guix time-machine" to revert to a working commit and try again but this does not work.

I then can see that my ~/.guix-profile/manifest is empty, thus I think it is safe to say that this is where the issue is originating, however I am unable to rewrite this file, so I was wondering if there was any fix to this?

I also used the command "guix refresh" and saw that many packages needed to be refreshed, however I cannot finish this command as I get the following error:

Backtrace:
13 (primitive-load "/home/tyler/.config/guix/current/bin/g…")
In guix/ui.scm:
2275:7 12 (run-guix . _)
2238:10 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
1752:10 10 (with-exception-handler _ _ #:unwind? _ # _)
1752:10 9 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
661:37 8 (thunk)
2170:25 7 (run-with-store #<store-connection 256.99 7f411174b7d0> …)
In guix/scripts/refresh.scm:
567:14 6 (_ _)
In srfi/srfi-1.scm:
634:9 5 (for-each #<procedure 7f411d493340 at guix/scripts/ref…> …)
In guix/scripts/refresh.scm:
367:10 4 (check-for-package-update #<package [email-masked] gnu/pac…> …)
In srfi/srfi-1.scm:
858:15 3 (any1 #<procedure 7f41202d2da0 at guix/upstream.scm:28…> …)
In guix/gnu-maintenance.scm:
842:10 2 (_ _ . _)
In ice-9/boot-9.scm:
1685:16 1 (raise-exception _ #:continuable? _)
1685:16 0 (raise-exception _ #:continuable? _)

Any help would be greatly appreciated.

Thanks,Tyler Wolf